This AMP C-Suit requires Lemonade for V4.

Be honestly, I cannot get so good rendering quality in DAZ Studio 4.5, especially the boots.

Compatible 3D Software: , .

Compatible 3D Figures: , .

Vendor: .

Download Now